Bug 2047896 (CVE-2022-25309) - CVE-2022-25309 fribidi: Heap-buffer-overflow in fribidi_cap_rtl_to_unicode
Summary: CVE-2022-25309 fribidi: Heap-buffer-overflow in fribidi_cap_rtl_to_unicode
Keywords:
Status: NEW
Alias: CVE-2022-25309
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2050068 2050069 2067042 2067043
Blocks: 2047924
TreeView+ depends on / blocked
 
Reported: 2022-01-28 19:57 UTC by Pedro Sampaio
Modified: 2022-09-09 05:24 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A heap-based buffer overflow flaw was found in the Fribidi package and affects the fribidi_cap_rtl_to_unicode() function of the fribidi-char-sets-cap-rtl.c file. This flaw allows an attacker to pass a specially crafted file to the Fribidi application with the '--caprtl' option, leading to a crash and causing a denial of service.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Pedro Sampaio 2022-01-28 19:57:29 UTC
A heap based buffer overflow was found in fribidi_cap_rtl_to_unicode.

References:

https://github.com/fribidi/fribidi/issues/182

Comment 6 TEJ RATHI 2022-03-23 06:12:52 UTC
Created fribidi tracking bugs for this issue:

Affects: fedora-all [bug 2067043]


Created mingw-fribidi tracking bugs for this issue:

Affects: fedora-all [bug 2067042]


Note You need to log in before you can comment on or make changes to this bug.